|
Harald Hoyer |
14f838 |
From 168952cea6130476a68c90aecab709cf24da5e52 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
a633d0 |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
a633d0 |
Date: Wed, 25 Apr 2012 12:22:15 +0200
|
|
Harald Hoyer |
a633d0 |
Subject: [PATCH] udev-rules/module-setup.sh: fixed udevd location
|
|
Harald Hoyer |
a633d0 |
|
|
Harald Hoyer |
a633d0 |
---
|
|
Harald Hoyer |
a633d0 |
modules.d/95udev-rules/module-setup.sh | 24 ++++++++----------------
|
|
Harald Hoyer |
0c26bf |
1 Datei geändert, 8 Zeilen hinzugefügt(+), 16 Zeilen entfernt(-)
|
|
Harald Hoyer |
a633d0 |
|
|
Harald Hoyer |
a633d0 |
diff --git a/modules.d/95udev-rules/module-setup.sh b/modules.d/95udev-rules/module-setup.sh
|
|
Harald Hoyer |
a633d0 |
index cc42eb7..b4acce3 100755
|
|
Harald Hoyer |
a633d0 |
--- a/modules.d/95udev-rules/module-setup.sh
|
|
Harald Hoyer |
a633d0 |
+++ b/modules.d/95udev-rules/module-setup.sh
|
|
Harald Hoyer |
a633d0 |
@@ -8,13 +8,14 @@ install() {
|
|
Harald Hoyer |
a633d0 |
# ultimately, /lib/initramfs/rules.d or somesuch which includes links/copies
|
|
Harald Hoyer |
a633d0 |
# of the rules we want so that we just copy those in would be best
|
|
Harald Hoyer |
a633d0 |
dracut_install udevadm
|
|
Harald Hoyer |
a633d0 |
- if [ -x /sbin/udevd ]; then
|
|
Harald Hoyer |
a633d0 |
- dracut_install udevd
|
|
Harald Hoyer |
a633d0 |
- mkdir -p ${initdir}/lib/systemd
|
|
Harald Hoyer |
a633d0 |
- ln -s /sbin/udevd ${initdir}/lib/systemd/systemd-udevd
|
|
Harald Hoyer |
a633d0 |
- elif [ -x /lib/systemd/systemd-udevd ]; then
|
|
Harald Hoyer |
a633d0 |
- inst /lib/systemd/systemd-udevd
|
|
Harald Hoyer |
a633d0 |
- fi
|
|
Harald Hoyer |
a633d0 |
+ [ -d ${initdir}/lib/systemd ] || mkdir -p ${initdir}/lib/systemd
|
|
Harald Hoyer |
a633d0 |
+ for _i in /lib/systemd/systemd-udevd /lib/udev/udevd /sbin/udevd; do
|
|
Harald Hoyer |
a633d0 |
+ [ -x "$_i" ] || continue
|
|
Harald Hoyer |
a633d0 |
+ inst "$_i"
|
|
Harald Hoyer |
a633d0 |
+ [[ $_i != "/lib/systemd/systemd-udevd" ]] \
|
|
Harald Hoyer |
a633d0 |
+ && ln -s "$_i" ${initdir}/lib/systemd/systemd-udevd
|
|
Harald Hoyer |
a633d0 |
+ break
|
|
Harald Hoyer |
a633d0 |
+ done
|
|
Harald Hoyer |
a633d0 |
|
|
Harald Hoyer |
a633d0 |
for i in /etc/udev/udev.conf /etc/group; do
|
|
Harald Hoyer |
a633d0 |
inst_simple $i
|
|
Harald Hoyer |
a633d0 |
@@ -62,20 +63,11 @@ install() {
|
|
Harald Hoyer |
a633d0 |
vol_id \
|
|
Harald Hoyer |
a633d0 |
pcmcia-socket-startup \
|
|
Harald Hoyer |
a633d0 |
pcmcia-check-broken-cis \
|
|
Harald Hoyer |
a633d0 |
- udevd \
|
|
Harald Hoyer |
a633d0 |
; do
|
|
Harald Hoyer |
a633d0 |
[ -e /lib/udev/$_i ] && dracut_install /lib/udev/$_i
|
|
Harald Hoyer |
a633d0 |
[ -e /usr/lib/udev/$_i ] && dracut_install /usr/lib/udev/$_i
|
|
Harald Hoyer |
a633d0 |
done
|
|
Harald Hoyer |
a633d0 |
|
|
Harald Hoyer |
a633d0 |
- if ! [ -e "$initdir/sbin/udevd" ]; then
|
|
Harald Hoyer |
a633d0 |
- if [ -x /usr/lib/udev/udevd ]; then
|
|
Harald Hoyer |
a633d0 |
- ln -s /usr/lib/udev/udevd "$initdir/sbin/udevd"
|
|
Harald Hoyer |
a633d0 |
- elif [ -x /lib/udev/udevd ]; then
|
|
Harald Hoyer |
a633d0 |
- ln -s /lib/udev/udevd "$initdir/sbin/udevd"
|
|
Harald Hoyer |
a633d0 |
- fi
|
|
Harald Hoyer |
a633d0 |
- fi
|
|
Harald Hoyer |
a633d0 |
-
|
|
Harald Hoyer |
a633d0 |
[ -f /etc/arch-release ] && \
|
|
Harald Hoyer |
a633d0 |
inst "$moddir/load-modules.sh" /lib/udev/load-modules.sh
|
|
Harald Hoyer |
a633d0 |
|